import { request } from './axios'

export async function getCodesByTypeId(typeId: number) {
  return request(`/codes/list/${typeId}`)
}

export async function getCodeById(id: number) {
  return request(`/codes/${id}`)
}

export async function createCode(data: Record<string, string | number | undefined>) {
  return request(`/codes`, {
    method: 'post',
    data,
  })
}

export async function updateCode(data: Record<string, string | number | undefined>) {
  return request(`/codes`, {
    method: 'put',
    data,
  })
}
