import CardList from './components/CardList'
import useTypes from '@/hooks/Types'
import { NScrollbar } from 'naive-ui'
export default defineComponent({
  setup() {
    const { data } = useTypes()

    return () => (
      <div class="w-h-full">
        <NScrollbar>
          <div class="flex flex-col gap-5">
            {data.value?.map((card) => {
              if (card.children) {
                return [
                  <CardList cardData={card} />,
                  ...card.children.map((child) => <CardList cardData={child} />),
                ]
              }
              return <CardList cardData={card} />
            })}
          </div>
        </NScrollbar>
      </div>
    )
  },
})
