import { RouterView, useRoute } from 'vue-router'
import {
  NLayout,
  NLayoutHeader,
  NLayoutContent,
  NLayoutSider,
  NLayoutFooter,
  NScrollbar,
} from 'naive-ui'
import MenuCom from './components/Menu'
//
const border = 'border border-[var(--border-color)] rounded-lg '
const bgColor = 'bg-[var(--color-background-mute)] '

export default defineComponent({
  setup() {
    const route = useRoute()

    return () =>
      route.meta.new ? (
        <RouterView></RouterView>
      ) : (
        <div class="w-h-full">
          <NLayout class={`w-h-full ${bgColor}`} content-class="flex flex-col w-h-full">
            <div class={`${bgColor}`}>
              <NLayoutHeader class={`h-[64px] ${border}`}>
                <div class="h-full">title</div>
              </NLayoutHeader>
            </div>
            <div class={`h-5 ${bgColor}`}></div>
            <NLayout has-sider class="flex-1" content-class="w-h-full flex">
              <div class={`${bgColor} h-full`}>
                <NLayoutSider
                  class={`${border} h-full`}
                  show-trigger
                  collapse-mode="width"
                  collapsed-width={64}
                  width={240}
                  content-class="w-h-full"
                  native-scrollbar={false}
                >
                  <MenuCom />
                </NLayoutSider>
              </div>

              <div class={`p-3 ${bgColor}`}></div>
              <div class={`${bgColor} h-full flex-1`}>
                <NLayoutContent class={`h-full ${border}`} content-style="padding: 24px">
                  <RouterView class="w-h-full" />
                </NLayoutContent>
              </div>
            </NLayout>
            {/* <NLayoutFooter class="bg-slate-400 h-[40px]">成府路</NLayoutFooter> */}
          </NLayout>
        </div>
      )
  },
})
