import { useSandpack, SandpackCodeEditor } from 'sandpack-vue3'
import useCodeEditor from '../hooks/codeEditor'
import type { TFiles } from '../hooks/codeEditor'
// import { watch } from 'vue'
export default defineComponent({
  setup() {
    const { codeFiles } = useCodeEditor()
    const { sandpack } = useSandpack()
    const { files, activeFile } = toRefs(sandpack)

    watch(files, (newValue: TFiles) => {
      codeFiles.value = newValue
    })

    return () => (
      <>
        <SandpackCodeEditor
          class="!h-full"
          showTabs
          showLineNumbers={true}
          showInlineErrors={false}
        />
      </>
    )
  },
})
