import { createCode, updateCode } from '@/api/codes'

type TParams = {
  id?: string
  type: string
}

export type TFiles = Record<string, { code: string }>

const template = ref()
const codeFiles = ref<TFiles>({})
const useCodeEditor = () => {
  async function saveCode(params: TParams) {
    const data = {
      id: params.id,
      title: 'test',
      description: 'test',
      template_id: template.value,
      code: codeFiles.value,
      type_id: params.type,
    }
    if (params.id) {
      await updateCode(data)
    } else {
      await createCode(data)
    }
    console.log(data, 'object')
  }
  return {
    codeFiles,
    template,
    saveCode,
  }
}
export default useCodeEditor
