import {
  SandpackProvider,
  SandpackLayout,
  SandpackPreview,
  SandpackFileExplorer,
} from 'sandpack-vue3'
import { atomDark } from '@codesandbox/sandpack-themes'
import CodeEditor from './components/CodeEditor'
import HeaderOperate from './components/HeaderOperate'
import useCodeEditor from './hooks/codeEditor'

export default defineComponent({
  setup() {
    const { template } = useCodeEditor()
    return () => (
      <div class="w-h-full flex-col flex gap-5">
        <HeaderOperate />
        <div class="flex-1">
          <SandpackProvider
            class="!w-h-full"
            theme={atomDark}
            template={template.value}
            options={{
              showConsoleButton: true,
              showConsole: true,
              showNavigator: true,
            }}
          >
            <SandpackLayout class="w-h-full">
              <SandpackFileExplorer class="!h-full" />

              <CodeEditor />
              <SandpackPreview class="!h-full" showOpenInCodeSandbox={false} />
            </SandpackLayout>
          </SandpackProvider>
        </div>
      </div>
    )
  },
})
